## kubernetes 1.20.2

=== debian/changelog ===
kubernetes (1.20.2-1) unstable; urgency=medium

  * New upstream release: 1.20.2

 -- Janos Lenart <ocsi@debian.org>  Thu, 14 Jan 2021 10:55:09 +0000

kubernetes (1.20.0-1) unstable; urgency=medium

  * New upstream release: 1.20.0
  * Fixes CVE-2020-8565

 -- Janos Lenart <ocsi@debian.org>  Wed, 09 Dec 2020 12:33:59 +0000

kubernetes (1.19.4-2) unstable; urgency=medium

  * Updated README.Debian

 -- Janos Lenart <ocsi@debian.org>  Sat, 21 Nov 2020 14:06:21 +0000

kubernetes (1.19.4-1) unstable; urgency=medium

  * New upstream release: 1.19.4

 -- Janos Lenart <ocsi@debian.org>  Tue, 17 Nov 2020 09:30:59 +0000

kubernetes (1.19.3-1) unstable; urgency=medium

  * New upstream release: 1.19.3
  * Building with golang-1.15
  * Fixes CVE-2020-8564, CVE-2020-8566

 -- Janos Lenart <ocsi@debian.org>  Wed, 21 Oct 2020 10:38:41 +0100

kubernetes (1.18.6-1) unstable; urgency=medium

  * New upstream release: 1.18.6
  * (An earlier version, 1.17.4-1 fixes CVE-2019-9946)

 -- Janos Lenart <ocsi@debian.org>  Thu, 16 Jul 2020 10:08:46 +0100

kubernetes (1.18.5-1) unstable; urgency=medium

  * New upstream release: 1.18.5
  * Fixes CVE-2020-8557, CVE-2020-8558, CVE-2020-8559

 -- Janos Lenart <ocsi@debian.org>  Wed, 15 Jul 2020 17:19:40 +0100

kubernetes (1.18.3-1) unstable; urgency=medium

  * New upstream release: 1.18.3
  * Improved build reproducibility

 -- Janos Lenart <ocsi@debian.org>  Tue, 02 Jun 2020 11:18:12 +0000

kubernetes (1.18.2-3) unstable; urgency=medium

  * Bumped Standards-Version
  * Improved build reproducibility

 -- Janos Lenart <ocsi@debian.org>  Fri, 15 May 2020 13:17:53 +0000

kubernetes (1.18.2-2) unstable; urgency=medium

  * Added i386 back

 -- Janos Lenart <ocsi@debian.org>  Sun, 03 May 2020 21:13:17 +0000

kubernetes (1.18.2-1) unstable; urgency=medium

  * New upstream release: 1.18.2

 -- Janos Lenart <ocsi@debian.org>  Sun, 03 May 2020 19:25:37 +0000

kubernetes (1.18.0-1) unstable; urgency=medium

  * New upstream release: 1.18.0

 -- Janos Lenart <ocsi@debian.org>  Sat, 28 Mar 2020 12:58:42 +0000

kubernetes (1.17.4-1) unstable; urgency=high

  * New maintainer (Closes: #886739)
  * New upstream release: 1.17.4 (Closes: #887741)
  * New Debian packaging from scratch. See README.Debian
  * kubernetes-node
    - Moved docker from Depends into Recommends as kubelet can also work with
      rkt, cri-o, etc. (Closes: #872690)
    - Not shipping systemd units for kubelet and kube-proxy for now
  * kubernetes-master
    - Moved etcd from Depends into Recommends as apiserver can also connect to
      a remote etcd/cluster.      
    - Not shipping systemd units for kube-apiserver, kube-schedules and
      kube-controller-manager for now

 -- Janos Lenart <ocsi@debian.org>  Sun, 15 Mar 2020 21:46:45 +0000

kubernetes (1.7.16+dfsg-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path

  [ Dmitry Smirnov ]
  * Resurrected "mergo.patch" that has been mistakenly removed
    (Closes: #878254).
  * Re-enabled safeguard test for the above problem.
  * New upstream release:
    + CVE-2017-1002101 (Closes: #892801)
    + CVE-2017-1002102 (Closes: #894051)
  * Updated Vcs URLs for Salsa.
  * Standards-Version: 4.1.4
  * Build-Depends:
    - golang-go
    + golang-any
    + golang-github-appc-cni-dev
    + golang-github-armon-circbuf-dev
    + golang-github-azure-azure-sdk-for-go-dev
    + golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-docker-distribution-dev
    + golang-github-docker-docker-dev
    + golang-github-emicklei-go-restful-swagger12-dev
    + golang-github-gogo-protobuf-dev
    + golang-github-gorilla-websocket-dev
    + golang-github-grpc-ecosystem-go-grpc-prometheus-dev
    + golang-github-karlseguin-ccache-dev
    - golang-github-opencontainers-runc-dev
    + golang-github-opencontainers-docker-runc-dev
    + golang-github-pmezard-go-difflib-dev
    + golang-golang-x-time-dev
    + golang-golang-x-tools-dev
    + golang-google-grpc-dev
    + golang-gopkg-warnings.v0-dev
    + golang-goprotobuf-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 May 2018 16:20:21 +1000

kubernetes (1.7.7+dfsg-3) unstable; urgency=medium

  * kubernetes-master should depend on etcd (Closes: #855218).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Oct 2017 19:40:46 +0100

kubernetes (1.7.7+dfsg-2) unstable; urgency=medium

  * Use CURDIR, not PWD, unbreaks the build at buildds.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 19:25:45 +0200

kubernetes (1.7.7+dfsg-1) unstable; urgency=medium

  [ Tim Potter ]
  * Open work for new release
  * Remove unused Files-Excluded entries from d/copyright
  * Remove Skydns B-D as no longer used
  * Don't build on ppc64 or ppc64le architectures

  [ Andrew Shadura ]
  * New upstream release.
  * Refresh patches.
  * Update build dependencies.
  * Symlink vendor packages to the build directory.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 18:54:06 +0200

=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Janos Lenart <ocsi@debian.org>
Build-Depends: debhelper (>= 12~), bash-completion, golang-1.15-go, jq, rsync
Standards-Version: 4.5.0
Homepage: http://kubernetes.io/

Package: kubernetes-client
Architecture: amd64 i386 armel armhf arm64 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Kubernetes client binary (kubectl)
 Kubernetes is a portable, extensible, open-source platform for managing
 containerized workloads and services, that facilitates both declarative
 configuration and automation. It has a large, rapidly growing ecosystem.
 Kubernetes services, support, and tools are widely available.
 .
 Currently this package only ships the kubectl binary. Configuration
 (via kubeconfig) will has to be created via other means.

Package: kubernetes-node
Architecture: amd64 i386 armel armhf arm64 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables (>= 1.4.21), iproute2, conntrack, ebtables, ethtool, mount, socat
Recommends: docker.io | docker-ce
Pre-Depends: ${misc:Pre-Depends}
Description: Kubernetes node binaries (kubelet, kube-proxy)
 Kubernetes is a portable, extensible, open-source platform for managing
 containerized workloads and services, that facilitates both declarative
 configuration and automation. It has a large, rapidly growing ecosystem.
 Kubernetes services, support, and tools are widely available.
 .
 Currently this package only ships the kubelet and the kube-proxy binaries.
 Configuration, including connecting to the Kubernetes control plane (via
 kubeconfig) will has to be created via other means.

Package: kubernetes-master
Architecture: amd64 i386 armel armhf arm64 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Kubernetes master binaries
 Kubernetes is a portable, extensible, open-source platform for managing
 containerized workloads and services, that facilitates both declarative
 configuration and automation. It has a large, rapidly growing ecosystem.
 Kubernetes services, support, and tools are widely available.
 .
 Current this package only ships the Kubernetes master binaries kube-apiserver,
 kube-scheduler and kube-controller-manager. Configuration, including
 interconnection (via kubeconfig) will has to be created via other means.

## kubernetes 1.20.5%2Breally1.20.2

=== debian/changelog ===
kubernetes (1.20.5+really1.20.2-1) unstable; urgency=medium

  * This is actually still 1.20.2
  * Only contains the client, for the server binaries see unstable/fasttrack

 -- Janos Lenart <ocsi@debian.org>  Sun, 13 Jun 2021 07:08:18 +0000

## kubernetes 1.20.5+really1.20.2

=== test/images/Makefile ===
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

REGISTRY ?= gcr.io/kubernetes-e2e-test-images
GOARM ?= 7
DOCKER_CERT_BASE_PATH ?=
QEMUVERSION=v5.1.0-2
GOLANG_VERSION=1.15.5
export

ifndef WHAT
$(error WHAT is a required variable, ex: make all WHAT=net)
endif

# Build code.
#
# Args:
#   WHAT: Directory names to build.
#
# Example:
#   make all WHAT=clusterapi-tester
all: all-container

all-container:
	./image-util.sh build $(WHAT) "docker"

all-push:
	bash -x ./image-util.sh build $(WHAT) "registry"
	bash -x ./image-util.sh push $(WHAT)

all-build-and-push:
	./image-util.sh build_and_push ${WHAT}

.PHONY: all all-build-and-push all-push all-container

=== cluster/addons/addon-manager/Makefile ===
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

IMAGE=gcr.io/k8s-staging-addon-manager/kube-addon-manager
ARCH?=amd64
TEMP_DIR:=$(shell mktemp -d)
VERSION=v9.1.2
KUBECTL_VERSION?=v1.13.2

BASEIMAGE=k8s.gcr.io/debian-base-$(ARCH):v1.0.0

SUDO=$(if $(filter 0,$(shell id -u)),,sudo)

.PHONY: build push

all: build

build:
	cp ./* $(TEMP_DIR)
	curl -sSL --retry 5 https://dl.k8s.io/release/$(KUBECTL_VERSION)/bin/linux/$(ARCH)/kubectl > $(TEMP_DIR)/kubectl
	chmod a+rx $(TEMP_DIR)/kube-addons.sh $(TEMP_DIR)/kube-addons-main.sh $(TEMP_DIR)/kubectl
	cd $(TEMP_DIR) && sed -i.back "s|BASEIMAGE|$(BASEIMAGE)|g" Dockerfile

ifneq ($(ARCH),amd64)
	# Register /usr/bin/qemu-ARCH-static as the handler for non-x86 binaries in the kernel
	$(SUDO) ../../../third_party/multiarch/qemu-user-static/register/register.sh --reset
endif

	docker build --pull -t $(IMAGE)-$(ARCH):$(VERSION) $(TEMP_DIR)

push: build
	docker push $(IMAGE)-$(ARCH):$(VERSION)
ifeq ($(ARCH),amd64)
	# Backward compatibility. TODO: deprecate this image tag
	docker rmi $(IMAGE):$(VERSION) 2>/dev/null || true
	docker tag $(IMAGE)-$(ARCH):$(VERSION) $(IMAGE):$(VERSION)
	docker push $(IMAGE):$(VERSION)
endif

test:
	cp ./* $(TEMP_DIR)
	curl -sSL --retry 5 https://dl.k8s.io/release/$(KUBECTL_VERSION)/bin/linux/$(ARCH)/kubectl > $(TEMP_DIR)/kubectl
	chmod a+rx $(TEMP_DIR)/kube-addons.sh $(TEMP_DIR)/kube-addons-test.sh $(TEMP_DIR)/kubectl
	cd $(TEMP_DIR) && KUBECTL_BIN=$(TEMP_DIR)/kubectl ./kube-addons-test.sh

clean:
	docker rmi -f $(IMAGE)-$(ARCH):$(VERSION)

=== vendor/go.uber.org/atomic/Makefile ===
# Many Go tools take file globs or directories as arguments instead of packages.
PACKAGE_FILES ?= *.go

# For pre go1.6
export GO15VENDOREXPERIMENT=1


.PHONY: build
build:
	go build -i ./...


.PHONY: install
install:
	glide --version || go get github.com/Masterminds/glide
	glide install


.PHONY: test
test:
	go test -cover -race ./...


.PHONY: install_ci
install_ci: install
	go get github.com/wadey/gocovmerge
	go get github.com/mattn/goveralls
	go get golang.org/x/tools/cmd/cover

.PHONY: install_lint
install_lint:
	go get golang.org/x/lint/golint


.PHONY: lint
lint:
	@rm -rf lint.log
	@echo "Checking formatting..."
	@gofmt -d -s $(PACKAGE_FILES) 2>&1 | tee lint.log
	@echo "Checking vet..."
	@go vet ./... 2>&1 | tee -a lint.log;)
	@echo "Checking lint..."
	@golint $$(go list ./...) 2>&1 | tee -a lint.log
	@echo "Checking for unresolved FIXMEs..."
	@git grep -i fixme | grep -v -e vendor -e Makefile | tee -a lint.log
	@[ ! -s lint.log ]


.PHONY: test_ci
test_ci: install_ci build
	./scripts/cover.sh $(shell go list $(PACKAGES))

=== vendor/google.golang.org/grpc/Makefile ===
all: vet test testrace

build: deps
	go build google.golang.org/grpc/...

clean:
	go clean -i google.golang.org/grpc/...

deps:
	go get -d -v google.golang.org/grpc/...

proto:
	@ if ! which protoc > /dev/null; then \
		echo "error: protoc not installed" >&2; \
		exit 1; \
	fi
	go generate google.golang.org/grpc/...

test: testdeps
	go test -cpu 1,4 -timeout 7m google.golang.org/grpc/...

testsubmodule: testdeps
	cd security/advancedtls && go test -cpu 1,4 -timeout 7m google.golang.org/grpc/security/advancedtls/...

testappengine: testappenginedeps
	goapp test -cpu 1,4 -timeout 7m google.golang.org/grpc/...

testappenginedeps:
	goapp get -d -v -t -tags 'appengine appenginevm' google.golang.org/grpc/...

testdeps:
	go get -d -v -t google.golang.org/grpc/...

testrace: testdeps
	go test -race -cpu 1,4 -timeout 7m google.golang.org/grpc/...

updatedeps:
	go get -d -v -u -f google.golang.org/grpc/...

updatetestdeps:
	go get -d -v -t -u -f google.golang.org/grpc/...

vet: vetdeps
	./vet.sh

vetdeps:
	./vet.sh -install

.PHONY: \
	all \
	build \
	clean \
	deps \
	proto \
	test \
	testappengine \
	testappenginedeps \
	testdeps \
	testrace \
	updatedeps \
	updatetestdeps \
	vet \
	vetdeps

=== cluster/addons/fluentd-elasticsearch/es-image/Makefile ===
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY:	build push

PREFIX = quay.io/fluentd_elasticsearch
IMAGE = elasticsearch
TAG = v7.4.3

build:
	docker build --tag ${PREFIX}/${IMAGE}:${TAG} .
	docker build --tag ${PREFIX}/${IMAGE}:latest .

push:
	docker push ${PREFIX}/${IMAGE}:${TAG}
	docker push ${PREFIX}/${IMAGE}:latest

=== cluster/images/conformance/go-runner/Makefile ===
# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

HOST_GOOS ?= $(shell go env GOOS)
HOST_GOARCH ?= $(shell go env GOARCH)
GO_BUILD ?= go build

.PHONY: all build clean

all: build

build:
	$(GO_BUILD)

clean:
	rm done e2e.log e2e.tar.gz go-runner

=== debian/changelog ===
kubernetes (1.20.5+really1.20.2-1.1+deb12u1) bookworm; urgency=medium

  * Import patch for CVE-2021-25743
    - kubectl does not neutralize escape, meta or control sequences contained
      in the raw data it outputs to a terminal. This includes but is not
      limited to the unstructured string fields in objects such as Events.
  * d/p/*:
    - Import upstream patch to hide long and multiline strings when printing
    - Import upstream patch to restore ability to print long strings
    - CVE-2021-25743.patch: Import and backport upstream patch to fix CVE-2021-25743

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sun, 08 Jun 2025 23:40:27 +0100

kubernetes (1.20.5+really1.20.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using golang-go (Closes: #1000980)

 -- Florian Ernst <florian@debian.org>  Sat, 02 Apr 2022 16:49:13 +0200

=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Janos Lenart <ocsi@debian.org>
Build-Depends: debhelper (>= 12~), bash-completion, golang-go, jq, rsync
Standards-Version: 4.5.0
Homepage: http://kubernetes.io/

Package: kubernetes-client
Architecture: amd64 i386 armel armhf arm64 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Kubernetes client binary (kubectl)
 Kubernetes is a portable, extensible, open-source platform for managing
 containerized workloads and services, that facilitates both declarative
 configuration and automation. It has a large, rapidly growing ecosystem.
 Kubernetes services, support, and tools are widely available.
 .
 Currently this package only ships the kubectl binary. Configuration
 (via kubeconfig) will has to be created via other means.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOPATH = $(CURDIR)/.go
export PATH := /usr/lib/go/bin:$(PATH)
export CGO_ENABLED = 0

%:
	dh $@ --with=bash-completion

bins = $(shell cut -d " " -f1 debian/*.install | grep "_output/bin" | xargs --max-args=1 basename)
override_dh_auto_build:
	mkdir -p .go/src/k8s.io
	[ -L .go/src/k8s.io/kubernetes ] || ln -s ../../.. .go/src/k8s.io/kubernetes
	env HOME=/home/user make WHAT="$(addprefix cmd/,$(bins) genman)"
	# bash completion
	mkdir -p _output/bash-completion
	_output/bin/kubectl completion bash >_output/bash-completion/kubectl
	# manpages
	mkdir -p _output/man
	echo $(bins) | xargs --max-args=1 env HOME=/home/user _output/bin/genman _output/man
	# NOTICE files
	find vendor -name '*NOTICE*' -print0 | xargs -0 head -n1000 >_output/NOTICE

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG.md CHANGELOG/CHANGELOG-*.md

override_dh_dwz:
override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/kubernetes/kubernetes/releases /kubernetes/kubernetes/archive/v([^-]+).tar.gz

## kubernetes 1.31.4+ds

=== debian/changelog ===
kubernetes (1.31.4+ds-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 09:43:52 +0000

kubernetes (1.31.4+ds-1) unstable; urgency=medium

  * New upstream version 1.31.4+ds (Closes: #1055411)
    - Fix CVE-2021-25743: ANSI escape characters in kubectl output are not
      being filtered (Closes: #1016441)
    - Fix CVE-2020-8554: Kubernetes API server man in the middle using
      LoadBalancer or ExternalIPs (Closes: #990793)
      ~ The version 1.20.5+really1.20.2-1 used to contain the vulnerability's
        source code, but we removed it during the repack. The binary package
        was not affected
    - Repack to remove all source non related to kubectl (Closes: #1047881)
      ~ Remove folders cmd, staging, hack, docs, third_party and vendor
    - Fix config use-context command segfaults from kubernetes-client
      (kubectl). The autopkgtest d/t/kubectl.sh is covering that scenario.
      (Closes: #990793)
  * d/clean: Remove file after upstream repack cleanup
  * d/compat: Remove obsolete file in favor of debhelper-compat
  * d/control:
    - Add dh-exec to Build-Depends
    - Add Uploaders field
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.7.2
    - Create new binary package kubectl to replace kubernetes-client
    - Declare Rules-Requires-Root to no
    - Export kubectl library dev files to new binary package
    - Replace current maintainer to Kubernetes Team
    - Reorder Homepage field and change schema to https
    - Set Vcs-* fields to Kubernetes team Salsa group (Closes: #1086756)
    - Set XS-Go-Import-Path to k8s.io/kubernetes
    - Set kubernetes-client to transitional package
    - Update Build-Depends for the unvendorized build
  * d/copyright:
    - Add comment to debian/*
    - Add Files-Excluded
    - Bump upstream copyright years to 2014-2024
    - Declare Arthur Diniz 2025 debian copyright
    - Declare copyright for authors under translations folder
    - Format Apache-2.0 License content body
  * d/gbp.conf: Create file with dist DEP14 and debian/sid branch
  * d/golang-k8s-kubectl-dev.install: Add installation file for Go source
    directory
  * d/kubectl.install:
    - Only build shell completions if not cross-building
    - Install kubectl and shell completion files (Closes: #994438)
  * d/kubectl.lintian-overrides: Silence unknown-field Static-Built-Using
  * d/kubectl.manpages: Install kubectl manpage
  * d/kubernetes-client*: Remove deprecated binary package related files
  * d/kubernetes-master*: Remove deprecated binary package related files
  * d/kubernetes-node*: Remove deprecated binary package related files
  * d/p/*:
    - Bump evanphx json-patch library to v5
    - Set LANGUAGE env variable for TestDiffProgram
  * d/rules:
    - Build with -buildmode=pie (except on mipsel or mips64el)
    - Define version metadata and LDFLAGS variables
    - Disable DH_VERBOSE by commenting it
    - Generate manpages using help2man in before_dh_installman
    - Include dpkg default.mk
    - Include dpkg pkg-info.mk
    - Override dh_auto_configure to prepare Go build environment manually
    - Override dh_auto_install to skip dh_golang and handle shell completions
    - Remove empty override override_dh_dwz
    - Remove PATH and CGO_ENABLED variables
    - Re-enable dh_auto_test by removing empty override
    - Set build directory and system to golang
    - Set DH_GOPKG and DH_GOLANG_BUILDPKG variables for kubectl
    - Set GOPATH to _build directory
    - Simplify override_dh_auto_build and delegate to dh_auto_build
  * d/salsa-ci.yml: Include pkg-go-tools pipeline
  * d/s/lintian-overrides:
    - Silence missing Built-Using field for kubectl and
      kubernetes-client
    - Silence debhelper-but-no-misc-depends for
      kubernetes-client
  * d/tests/*: Initial autopkgtest suite
  * d/u/metadata: Declared upstream metadata information
  * d/watch: Use GitHub API and filter only versions like v1.*.*

  [ Samuel Henrique ]
  * d/rules: Don't install docs under /usr/share/gocode
  * d/golang-k8s-kubectl-dev.lintian-overrides: Add overrides for
    false-positives on test files

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 13 Feb 2025 23:44:44 +0000

=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>,
           Janos Lenart <ocsi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-chai2010-gettext-go-dev,
               golang-github-daviddengcn-go-colortext-dev,
               golang-github-distribution-reference-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-exponent-io-jsonpath-dev,
               golang-github-fatih-camelcase-dev,
               golang-github-go-openapi-jsonreference-dev,
               golang-github-google-gnostic-models-dev,
               golang-github-google-go-cmp-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-liggitt-tabwriter-dev,
               golang-github-lithammer-dedent-dev,
               golang-github-makenowjust-heredoc-dev,
               golang-github-mitchellh-go-wordwrap-dev,
               golang-github-moby-term-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-v2-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-yaml.v2-dev,
               golang-k8s-api-dev,
               golang-k8s-apimachinery-dev,
               golang-k8s-cli-runtime-dev,
               golang-k8s-client-go-dev,
               golang-k8s-component-base-dev,
               golang-k8s-component-helpers-dev,
               golang-k8s-klog-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-metrics-dev,
               golang-k8s-sigs-json-dev,
               golang-k8s-sigs-kustomize-dev,
               golang-k8s-sigs-kustomize-kyaml-dev,
               golang-k8s-sigs-structured-merge-diff-dev,
               golang-k8s-sigs-yaml-dev,
               golang-k8s-utils-dev,
               curl <!nocheck> | wget <!nocheck>,
               help2man <!nodoc>
Standards-Version: 4.7.2
Homepage: https://kubernetes.io/
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kubernetes
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kubernetes.git
Rules-Requires-Root: no
XS-Go-Import-Path: k8s.io/kubernetes

Package: kubectl
Architecture: any
Breaks: kubernetes-client (<< 1.31.4~)
Replaces: kubernetes-client (<< 1.31.4~)
Static-Built-Using: ${misc:Static-Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Command-line tool for controlling Kubernetes clusters
 The official command-line tool for interacting with Kubernetes clusters.
 .
 It allows users to manage and configure Kubernetes resources, deploy
 applications, inspect and troubleshoot workloads, and automate cluster
 operations.
 .
 With kubectl, you can perform actions such as scaling deployments, rolling
 out updates, debugging services, and viewing cluster logs.
 .
 The tool supports a wide range of commands for managing pods, nodes, services,
 config maps, persistent volumes, and more. It also integrates with custom
 plugins and supports client-side filtering and resource scripting for advanced
 use cases.

Package: golang-k8s-kubectl-dev
Architecture: all
Multi-Arch: foreign
Section: golang
Depends: golang-github-chai2010-gettext-go-dev,
         golang-github-daviddengcn-go-colortext-dev,
         golang-github-distribution-reference-dev,
         golang-github-evanphx-json-patch-dev,
         golang-github-exponent-io-jsonpath-dev,
         golang-github-fatih-camelcase-dev,
         golang-github-go-openapi-jsonreference-dev,
         golang-github-google-gnostic-models-dev,
         golang-github-google-go-cmp-dev,
         golang-github-jonboulle-clockwork-dev,
         golang-github-liggitt-tabwriter-dev,
         golang-github-lithammer-dedent-dev,
         golang-github-makenowjust-heredoc-dev,
         golang-github-mitchellh-go-wordwrap-dev,
         golang-github-moby-term-dev,
         golang-github-onsi-ginkgo-v2-dev,
         golang-github-pkg-errors-dev,
         golang-github-russross-blackfriday-v2-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-yaml.v2-dev,
         golang-k8s-api-dev,
         golang-k8s-apimachinery-dev,
         golang-k8s-cli-runtime-dev,
         golang-k8s-client-go-dev,
         golang-k8s-component-base-dev,
         golang-k8s-component-helpers-dev,
         golang-k8s-klog-dev,
         golang-k8s-kube-openapi-dev,
         golang-k8s-metrics-dev,
         golang-k8s-sigs-json-dev,
         golang-k8s-sigs-kustomize-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         golang-k8s-sigs-structured-merge-diff-dev,
         golang-k8s-sigs-yaml-dev,
         golang-k8s-utils-dev,
         ${misc:Depends}
Description: Kubernetes client tools for interacting with clusters (library)
 Contains utilities and packages designed for building custom Kubernetes client
 tools.
 .
 It includes essential components for interacting with Kubernetes clusters,
 such as handling API requests, managing configuration, and implementing custom
 commands.
 .
 Intended for developers creating client-side programs that integrate with
 Kubernetes environments.

Package: kubernetes-client
Architecture: amd64 arm64 armel armhf i386 s390x
Section: oldlibs
Depends: kubectl
Description: Transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

export GOPATH := $(CURDIR)/_build
export DH_GOPKG := k8s.io/kubectl
export DH_GOLANG_BUILDPKG := "$(DH_GOPKG)/..."

# This information can be found consulting the GitHub tags
# https://github.com/kubernetes/kubernetes/tags
GIT_COMMIT := a78aa47129b8539636eb86a9d00e31b2720fe06b
GIT_TREE_STATE := clean

# Extract major, minor, and full version
DEB_UPSTREAM_MAIN_VERSION := $(shell echo ${DEB_VERSION_UPSTREAM} | sed -e 's/^\([0-9\.]*\).*/\1/')
GIT_MAJOR := $(shell echo $(DEB_UPSTREAM_MAIN_VERSION) | cut -d. -f1)
GIT_MINOR := $(shell echo $(DEB_UPSTREAM_MAIN_VERSION) | cut -d. -f2)
GIT_VERSION := v$(DEB_UPSTREAM_MAIN_VERSION)

DATE_FMT = +%Y-%m-%dT%H:%M:%SZ
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif

# Upstream uses a helper function to generate LDFLAGS flags based on a set of variables.
# https://github.com/kubernetes/kubernetes/blob/9a9f10bc7b93ef13a83e39b262f4ea8bf2353e53/hack/lib/version.sh#L151
# There is a hack script to get those variables using the upstream repository.
# https://github.com/kubernetes/kubernetes/blob/9a9f10bc7b93ef13a83e39b262f4ea8bf2353e53/hack/print-workspace-status.sh
KUBECTL_LDFLAGS := \
    -X 'k8s.io/client-go/pkg/version.buildDate=$(BUILD_DATE)' \
    -X 'k8s.io/component-base/version.buildDate=$(BUILD_DATE)' \
	-X 'k8s.io/client-go/pkg/version.gitCommit=$(GIT_COMMIT)' \
	-X 'k8s.io/component-base/version.gitCommit=$(GIT_COMMIT)' \
	-X 'k8s.io/client-go/pkg/version.gitTreeState=$(GIT_TREE_STATE)' \
	-X 'k8s.io/component-base/version.gitTreeState=$(GIT_TREE_STATE)' \
	-X 'k8s.io/client-go/pkg/version.gitVersion=$(GIT_VERSION)' \
	-X 'k8s.io/component-base/version.gitVersion=$(GIT_VERSION)' \
	-X 'k8s.io/client-go/pkg/version.gitMajor=$(GIT_MAJOR)' \
	-X 'k8s.io/component-base/version.gitMajor=$(GIT_MAJOR)' \
	-X 'k8s.io/client-go/pkg/version.gitMinor=$(GIT_MINOR)' \
	-X 'k8s.io/component-base/version.gitMinor=$(GIT_MINOR)'


ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
KUBECTL_BUILDMODE := -buildmode=pie
endif


%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_configure:
	mkdir -pv $(GOPATH)/src/$(DH_GOPKG)

	# Prepare build directory but throw away source directory.
	DH_GOPKG="__IGNORE__" dh_auto_configure

	$(RM) -r $(GOPATH)/src/$(DH_GOPKG)
	cp -ra staging/src/k8s.io/kubectl $(GOPATH)/src/$(DH_GOPKG)

	mkdir -pv $(GOPATH)/src/$(DH_GOPKG)/cmd
	cp -ra cmd/kubectl $(GOPATH)/src/$(DH_GOPKG)/cmd

override_dh_auto_build:
	dh_auto_build -v -- -ldflags '$(KUBECTL_LDFLAGS)' $(KUBECTL_BUILDMODE)

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG.md CHANGELOG/CHANGELOG-*.md

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	help2man debian/kubectl/usr/bin/kubectl \
		--no-info --no-discard-stderr \
		--version-string="$(GIT_VERSION)" \
		-n "Command-line tool for interacting with a Kubernetes cluster's control plane" > debian/kubectl.1
endif

override_dh_auto_install:
	# Skip dh_auto_install to stop dh_golang trying to copy bits
	# for /usr/share/gocode (we use dh_install for that)

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir -v -p _build/completion/kubectl
	_build/bin/kubectl completion bash > _build/completion/kubectl/kubectl.bash
	_build/bin/kubectl completion fish > _build/completion/kubectl/kubectl.fish
	_build/bin/kubectl completion zsh > _build/completion/kubectl/kubectl.zsh
endif

	$(RM)  _build/src/k8s.io/kubectl/pkg/cmd/plugin/testdata/kubectl-create-foo
	$(RM) -r _build/src/k8s.io/kubectl/.github
	$(RM) -r _build/src/k8s.io/kubectl/LICENSE
	# Don't install docs in /usr/share/gocode, they are not useful to the users so just remove
	# them instead of moving to /usr/share/doc:
	$(RM) _build/src/k8s.io/kubectl/CONTRIBUTING.md
	$(RM) _build/src/k8s.io/kubectl/README.md
	$(RM) _build/src/k8s.io/kubectl/code-of-conduct.md
	$(RM) -r _build/src/k8s.io/kubectl/docs
	$(RM) _build/src/k8s.io/kubectl/pkg/util/i18n/translations/README.md
	$(RM) _build/src/k8s.io/kubectl/pkg/cmd/edit/testdata/README

## kubernetes 1.32.3+ds

=== debian/changelog ===
kubernetes (1.32.3+ds-2) unstable; urgency=medium

  * d/t/kubectl.sh:
    - Redirect stderr to stdout for kind export kubeconfig commands
    - Remove -x from set and add echo for commands being executed
    - Use --client flag in kubectl version to prevent stderr output

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 27 Jun 2025 13:52:04 +0100

kubernetes (1.32.3+ds-1) unstable; urgency=medium

  * New upstream version 1.32.3+ds
  * d/control: Set minimum version (>= 0.32) for Kubernetes dependencies
  * d/copyright: Add staging/src/k8s.io/externaljwt to Files-Excluded
  * d/kubectl.lintian-overrides: Remove unused override file for kubectl
  * d/rules: Update Kubernetes release commit hash variable
  * d/s/lintian-overrides: Remove override for missing Built-Using field in
    kubectl section

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 31 Mar 2025 21:49:50 +0100

=== debian/control ===
--- 
+++ 
@@ -31,15 +31,15 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-k8s-api-dev,
-               golang-k8s-apimachinery-dev,
-               golang-k8s-cli-runtime-dev,
-               golang-k8s-client-go-dev,
-               golang-k8s-component-base-dev,
-               golang-k8s-component-helpers-dev,
+               golang-k8s-api-dev (>= 0.32),
+               golang-k8s-apimachinery-dev (>= 0.32),
+               golang-k8s-cli-runtime-dev (>= 0.32),
+               golang-k8s-client-go-dev (>= 0.32),
+               golang-k8s-component-base-dev (>= 0.32),
+               golang-k8s-component-helpers-dev (>= 0.32),
                golang-k8s-klog-dev,
                golang-k8s-kube-openapi-dev,
-               golang-k8s-metrics-dev,
+               golang-k8s-metrics-dev (>= 0.32),
                golang-k8s-sigs-json-dev,
                golang-k8s-sigs-kustomize-dev,
                golang-k8s-sigs-kustomize-kyaml-dev,
@@ -104,15 +104,15 @@
          golang-github-stretchr-testify-dev,
          golang-golang-x-sys-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-k8s-api-dev,
-         golang-k8s-apimachinery-dev,
-         golang-k8s-cli-runtime-dev,
-         golang-k8s-client-go-dev,
-         golang-k8s-component-base-dev,
-         golang-k8s-component-helpers-dev,
+         golang-k8s-api-dev (>= 0.32),
+         golang-k8s-apimachinery-dev (>= 0.32),
+         golang-k8s-cli-runtime-dev (>= 0.32),
+         golang-k8s-client-go-dev (>= 0.32),
+         golang-k8s-component-base-dev (>= 0.32),
+         golang-k8s-component-helpers-dev (>= 0.32),
          golang-k8s-klog-dev,
          golang-k8s-kube-openapi-dev,
-         golang-k8s-metrics-dev,
+         golang-k8s-metrics-dev (>= 0.32),
          golang-k8s-sigs-json-dev,
          golang-k8s-sigs-kustomize-dev,
          golang-k8s-sigs-kustomize-kyaml-dev,

=== debian/watch ===
version=4
opts="searchmode=plain,\
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repacksuffix=+ds,dversionmangle=s/\+ds//,repack,compression=gz" \
https://api.github.com/repos/kubernetes/kubernetes/tags?per_page=50 \
https://api.github.com/repos/kubernetes/kubernetes/tarball/refs/tags/(?:[v]?(1\.\d+\.\d+))(?![-a-zA-Z])

## kubernetes 1.33.3

=== debian/changelog ===
kubernetes (1.33.3-1kaisen) kaisen-packages; urgency=medium

  * Import the Kubernetes 1.33.3 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 17:33:41 +0100

kubernetes (1.31.2-1kaisen) kaisen-packages; urgency=medium

  * Import the Kubernetes 1.31.2 release
  * Bump the golang-go version required to build
  * Bump the Standards-Version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 00:30:06 +0100

kubernetes (1.30.0-1kaisen) kaisen-packages; urgency=medium

  * Import the Kubernetes 1.30.0 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2023 21:46:18 +0100

kubernetes (1.28.3-1kaisen) kaisen-packages; urgency=medium

  * Import the Kubernetes 1.28.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 15:37:04 +0100

kubernetes (1.27.4-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 19:19:41 +0100

kubernetes (1.27.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.27.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 22 Jul 2023 17:45:14 +0100

kubernetes (1.25.9-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.25.9 version
  * Execution of make all instead of make to build kubernetes
  * Add the make genman, gendoc and genkubedocs instructions

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 10:06:49 +0100

kubernetes (1.25.8-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.25.8 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 19:36:14 +0100

kubernetes (1.25.5-2kaisen) kaisen-packages; urgency=medium

  * Packaging improvements
  * No installation of kubeadm by the kubernetes-worker package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 23 Jan 2022 01:23:37 +0100

kubernetes (1.25.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.25.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Dec 2022 23:13:46 +0100

kubernetes (1.25.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.25.4 version
  * Update the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 16:05:31 +0100

kubernetes (1.25.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.25.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 19 Sep 2022 16:41:11 +0100

kubernetes (1.24.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.24.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 17:35:26 +0100

kubernetes (1.24.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.24.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Jul 2022 02:47:52 +0100

kubernetes (1.24.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.24.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 21:51:09 +0100

kubernetes (1.23.5-1kaisen) kaisen-packages; urgency=medium

  * Import 1.23.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Mar 2022 23:07:21 +0100

kubernetes (1.23.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.23.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 17:09:56 +0100

kubernetes (1.23.3-2kaisen) kaisen-packages; urgency=medium

  * Add new tools as suggests

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Feb 2022 11:13:32 +0100

kubernetes (1.23.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.23.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 16:01:11 +0100

kubernetes (1.23.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.23.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jan 2022 17:08:57 +0100

kubernetes (1.23.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.23.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 03:10:21 +0100

kubernetes (1.23.0-1kaisen) kaisen-packages; urgency=medium

  * Import 1.23.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 11 Dec 2021 12:12:14 +0100

kubernetes (1.22.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.22.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 22 Nov 2021 14:10:38 +0200

kubernetes (1.22.3-2kaisen) kaisen-packages; urgency=medium

  * kubernetes-node now called kubernetes-worker
  * Deletion of kubernetes-client.bash-completion file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 Nov 2021 15:30:44 +0200

kubernetes (1.22.3-1kaisen) kaisen-packages; urgency=medium

  * Import new upstream release
  * Fix kubectl bash completion

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 03 Nov 2021 00:26:32 +0200

kubernetes (1.22.2-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 25 Sep 2021 01:31:56 +0200

=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       golang-go (>= 1.24),
	       dh-golang,
Standards-Version: 4.7.0
Homepage: https://kubernetes.io
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/kubernetes
Vcs-Git: https://gitlab.com/kaisenlinux/packages/kubernetes.git
XS-Go-Import-Path: github.com/kubernetes/kubernetes

Package: kubernetes-client
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Suggests: helm,
	  k9s,
	  kind,
	  krew,
	  kubectx,
	  kustomize,
	  kyverno,
	  popeye,
Description: Production-Grade Container Scheduling and Management (client binaries)

Package: kubernetes-worker
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Production-Grade Container Scheduling and Management (worker binaries)

Package: kubernetes-master
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 etcd-server,
Description: Production-Grade Container Scheduling and Management (master binaries)

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_output

%:
	dh $@

override_dh_auto_clean:
	rm -rf $(CURDIR)/_output/

override_dh_auto_build:
	#Kubernetes compilation
	make all
	make genman
	make gendocs
	make genkubedocs

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG.md CHANGELOG/CHANGELOG-*.md

override_dh_auto_install:
	#Make directory for manpages and docs
	mkdir -p $(CURDIR)/_output/docs $(CURDIR)/_output/man
	#Install the kubectl BASH completion
	$(CURDIR)/_output/bin/kubectl completion bash > $(CURDIR)/debian/kubernetes-client/usr/share/bash-completion/completions/kubectl
	#Install the kubectl ZSH completion
	$(CURDIR)/_output/bin/kubectl completion zsh > $(CURDIR)/debian/kubernetes-client/usr/share/zsh/vendor-completions/_kubectl
	#Generate kubernetes-client manpages
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kubectl
	#Generate kubernetes-worker manpages
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kubelet
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-proxy
	#Generate kubernetes-master manpages
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kubeadm
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-apiserver
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-controller-manager
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-scheduler
	#Generate kubernetes-client docs
	$(CURDIR)/_output/bin/gendocs $(CURDIR)/_output/docs
	#Generate kubernetes-worker docs
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kubelet
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-proxy
	#Generate kubernetes-master docs
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kubeadm
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-apiserver
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-controller-manager
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-scheduler

override_dh_dwz:
